tigase.util.processing

## Class ProcessingThreads<E extends WorkerThread>

- java.lang.Object
- - tigase.util.processing.ProcessingThreads<E>

-     public class ProcessingThreads<E extends WorkerThread>
      extends Object

  Created: Apr 21, 2009 8:50:50 PM
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessingThreads(E worker, int numWorkerThreads, int maxQueueSize, String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addItem(XMPPProcessorIfc processor, Packet packet, XMPPResourceConnection conn)`
    `long` | `getAverageProcessingTime()`
    `long` | `getDroppedPackets()`
    `String` | `getName()`
    `int` | `getTotalQueueSize()`
    `int` | `getTotalRuns()`
    `void` | `shutdown()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessingThreads

          public ProcessingThreads(E worker,
                                   int numWorkerThreads,
                                   int maxQueueSize,
                                   String name)
                            throws ClassNotFoundException,
                                   InstantiationException,
                                   IllegalAccessException

      Throws:
        `ClassNotFoundException`
        `InstantiationException`
        `IllegalAccessException`

  - ### Method Detail

    - #### addItem

          public boolean addItem(XMPPProcessorIfc processor,
                                 Packet packet,
                                 XMPPResourceConnection conn)

    - #### getAverageProcessingTime

          public long getAverageProcessingTime()

    - #### getDroppedPackets

          public long getDroppedPackets()

    - #### getName

          public String getName()

    - #### getTotalQueueSize

          public int getTotalQueueSize()

    - #### getTotalRuns

          public int getTotalRuns()

    - #### shutdown

          public void shutdown()

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.